org.apache.fop.render.bitmap

## Class PNGDocumentHandlerMaker

- java.lang.Object
- - org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker
  - - org.apache.fop.render.bitmap.PNGDocumentHandlerMaker

    public class PNGDocumentHandlerMaker
    extends AbstractIFDocumentHandlerMaker

Document handler factory for PNG output.

### Constructor Summary

Constructors
Constructor and Description
`PNGDocumentHandlerMaker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getSupportedMimeTypes()`
`IFDocumentHandler` `makeIFDocumentHandler(IFContext ifContext)` Instantiates a new `IFDocumentHandler`.
`boolean` `needsOutputStream()`

### Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandlerMaker

`isMimeTypeSupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PNGDocumentHandlerMaker

    public PNGDocumentHandlerMaker()

### Method Detail

#### makeIFDocumentHandler

    public IFDocumentHandler makeIFDocumentHandler(IFContext ifContext)

Instantiates a new `IFDocumentHandler`.

Specified by:
  `makeIFDocumentHandler` in class `AbstractIFDocumentHandlerMaker`
Parameters:
  `ifContext` - the user agent
Returns:
  the newly instantiated document handler

#### needsOutputStream

    public boolean needsOutputStream()

Specified by:
  `needsOutputStream` in class `AbstractIFDocumentHandlerMaker`
Returns:
  Indicates whether this document handler requires an OutputStream to work with.

#### getSupportedMimeTypes

    public String[] getSupportedMimeTypes()

Specified by:
  `getSupportedMimeTypes` in class `AbstractIFDocumentHandlerMaker`
Returns:
  an array of MIME types the document handler supports.